<template>
	<page-meta :page-font-size="fontValue+'px'" :root-font-size="fontValue+'px'"></page-meta>
  <view class="normal-login-container">
    <view class="logo">
		<image src="/static/images/login/logo.png" style="width: 200rpx;height: 200rpx;" mode="aspectFit"></image> 
    </view>
    <view class="login-form-content">
      <view class="input-item">
        <view style="color: #777;margin-bottom: 4px;font-size: 28rpx;">账号</view>
        <!-- <u-input
          v-model="loginForm.username"
          type="number"
          placeholder="请输入账号"
          border="none"
          maxlength="11"
        ></u-input> -->
		<view style="padding: 10rpx;background: #F7F9FC;border-radius: 32rpx;width: 100%;">
			<uni-easyinput v-model="loginForm.username" placeholder="请输入账号" :inputBorder="false" maxlength="11" :styles="{backGround:'#F7F9FC'}"/>
		</view>
		
        <!-- <u-input v-model="loginForm.username" placeholder="请输入账号" border="none" maxlength="11"></u-input> -->
      </view>
      <view class="input-item flex align-center">
        <view style="color: #777;margin-bottom: 4px;font-size: 28rpx;">密码</view>
		<view style="padding: 10rpx;background: #F7F9FC;border-radius: 32rpx;width: 100%;">
			<uni-easyinput type="password" v-model="loginForm.password" placeholder="请输入密码" :inputBorder="false" :styles="{backGround:'#F7F9FC'}"/>
		</view>
       <!-- <u-input
          v-model="loginForm.password"
          type="password"
          placeholder="请输入密码"
          border="none"
          maxlength="99"
        ></u-input> -->
      </view>
      <!-- <view class="input-item flex align-center" style="width: 60%;margin: 0px;" v-if="captchaEnabled">
        <view class="iconfont icon-code icon"></view>
        <input v-model="loginForm.code" type="number" class="input" placeholder="请输入验证码" maxlength="4" />
        <view class="login-code"> 
          <image :src="codeUrl" @click="getCode" class="login-code-img"></image>
        </view>
      </view> -->
      <!-- <u-radio-group v-model="remember" style="margin-bottom: 20px" @change="rememberPassword">
        <u-radio label="记住密码" :name="rememberName"></u-radio>
      </u-radio-group> -->
      <u-checkbox-group v-model="remember" shape="circle" @change="rememberPassword" style="margin-bottom: 20px;margin-left: 20rpx;font-size: 28rpx">
        <u-checkbox label="记住密码" name="remember"></u-checkbox>
      </u-checkbox-group>
      <view class="action-btn" style="margin-top: 10vh;">
        <u-button shape="circle" color="#FF6F25" @click="handleLogin" style="height: 72rpx;font-weight: bold;font-size: 28rpx;">登录</u-button>
        <view class="forget" @click="amendPassword">忘记密码?去修改</view>
      </view>
      <!-- <view class="reg text-center" v-if="register">
        <text class="text-grey1">没有账号？</text>
        <text @click="handleUserRegister" class="text-blue">立即注册</text>
      </view> -->
      <!-- <view class="xieyi text-center">
        <text class="text-grey1">登录即代表同意</text>
        <text @click="handleUserAgrement" class="text-blue">《用户协议》</text>
        <text @click="handlePrivacy" class="text-blue">《隐私协议》</text>
      </view> -->
    </view>
  </view>
</template>

<script>
import { getCodeImg } from '@/api/login'
import AES from '@/utils/aes'
import Cookies from "js-cookie";
export default {
  data() {
    return {
		fontValue:uni.getStorageSync('fontSize') || 8,
      codeUrl: '',
      captchaEnabled: true,
      // 用户注册开关
      register: false,
      globalConfig: getApp().globalData.config,
      loginForm: { 
        username:'', // 账号
        password:'', // 密码 1769fb2837e10e9d22c1c25add76355a', // bns - 1769fb2837e10e9d22c1c25add76355a
		loginType: '2',
        sourceType: 7,
        code: '',
        uuid: ''
      },
      remember:[]
    }
  },
  onShow() {
	if(Cookies.get('remember')){
		this.remember = [Cookies.get('remember')] || [];
	}
	if(uni.getStorageSync('remember')){
		this.remember = [uni.getStorageSync('remember')] || [];
	}
	this.loginForm.username = Cookies.get('username') || uni.getStorageSync('username')
	if(this.remember.length>0){
		this.loginForm.password = Cookies.get('password') || uni.getStorageSync('password')
	} 
	if(Cookies.get('token')||uni.getStorageSync('token')){ 
		if(this.loginForm.username&&this.loginForm.password){
			this.loginForm.encryptPassword = AES.encrypt(this.loginForm.password)
			this.$store.dispatch('Login', this.loginForm).then(() => {
				this.$tab.reLaunch('/pages/index')
			}).catch(() => { })
		}
	}
  },
  methods: {
    // 用户注册
    handleUserRegister() {
      this.$tab.redirectTo(`/pages/register`)
    },
    // 隐私协议
    handlePrivacy() {
      let site = this.globalConfig.appInfo.agreements[0]
      this.$tab.navigateTo(`/pages/common/webview/index?title=${site.title}&url=${site.url}`)
    },
    // 用户协议
    handleUserAgrement() {
      let site = this.globalConfig.appInfo.agreements[1]
      this.$tab.navigateTo(`/pages/common/webview/index?title=${site.title}&url=${site.url}`)
    },
    // 获取图形验证码
    getCode() {
      getCodeImg().then(res => {
        this.captchaEnabled = res.captchaEnabled === undefined ? true : res.captchaEnabled
        if (this.captchaEnabled) {
          this.codeUrl = 'data:image/gif;base64,' + res.img
          this.loginForm.uuid = res.uuid
        }
      })
    },
    // 登录方法
    async handleLogin() {
      if (this.loginForm.username === '') {
        this.$modal.msgError('请输入您的账号')
      } else if (this.loginForm.password === '') {
        this.$modal.msgError('请输入您的密码')
        // } else if (this.loginForm.code === "" && this.captchaEnabled) {
        //   this.$modal.msgError("请输入验证码")
      } else {
        // this.$modal.loading('登录中，请耐心等待...')
        // this.$tab.reLaunch('/pages/system')
        this.pwdLogin()
      }
    },
    // 密码登录
    async pwdLogin() {
		console.log(this.loginForm)   
		// this.loginForm.encryptPassword = AES.encrypt(this.loginForm.password)
		this.$store.dispatch('Login', this.loginForm).then(() => {
			this.$modal.closeLoading() // 关闭加载框
			if(this.remember.length>0){
				uni.setStorageSync('username',this.loginForm.username)
				uni.setStorageSync('password',this.loginForm.password)
				Cookies.set('username', this.loginForm.username,{expires:90})
				Cookies.set('password', this.loginForm.password,{expires:90})
			}else{
				uni.removeStorageSync('remember')
				uni.removeStorageSync('password')
				Cookies.remove('remember')
				Cookies.remove('password')
			} 
			this.loginSuccess() 
        }).catch(() => {
          // if (this.captchaEnabled) {
          //   this.getCode()
          // }
        })
    },
    // 登录成功后，处理函数
    loginSuccess(result) {
      // 设置用户信息
	  // uni.navigateTo({
	  //   url: '/pages/system'
	  // })
      this.$tab.reLaunch('/pages/index')
    },
    // 记住密码
    rememberPassword(e) {
      console.log(e)
      if (e.length > 0) {
		uni.setStorageSync('remember',e[0])
		uni.setStorageSync('username',this.loginForm.username)
		uni.setStorageSync('password',this.loginForm.password) 
		Cookies.set('remember', e[0],{expires:90})
		Cookies.set('username', this.loginForm.username,{expires:90})
		Cookies.set('password', this.loginForm.password,{expires:90})
      } else {
        uni.removeStorageSync('remember')
		uni.removeStorageSync('password')
		Cookies.remove('remember')
		Cookies.remove('password')
      }
    },
    // 忘记密码
    amendPassword() {
      uni.navigateTo({
        url: '/pages/amendPassword'
      })
    }
  }
}
</script>

<style lang="scss" scoped>
page {
  // background-color: #ffffff;
  min-height: 100vh;
  background-image: url('../static/images/login/back.png');
  background-size: 100% 100%;
}

.logo {
  padding-top: 10vh;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.forget {
  margin-top: 20px;
  color: $u-primary;
}
 
.normal-login-container {
  width: 100%; 
  height: auto;

	.logo-content {
		width: 100%;
		font-size: 42rpx;
		text-align: center;
		padding-top: 15%;

		image {
		   
		}

		.title {
		  margin-left: 10px;
		}
	} 
   
	.login-form-content {
		text-align: center;
		background: #FFF;
		margin: 0 auto;
		width: 80%;

		.input-item {
		  margin: 0 auto 20px;
		  padding: 8px 15px;
		  // background-color: #F7F9FC;
		  // background-color: #f5f6f7;
		  /* height: 45px; */
		  border-radius: 3px;
		  display: flex;
		  flex-direction: column;
		  justify-content: flex-start;
		  align-items: flex-start;

		  .icon {
			font-size: 38rpx;
			margin-left: 10px;
			color: #999;
		  }

		  .input {
			width: 100%;
			font-size: 28rpx;
			line-height: 20px;
			text-align: left;
			padding-left: 15px;
		  }
		}

		.login-btn {
		  margin-top: 40px;
		  height: 45px;
		}

		.reg {
		  margin-top: 15px;
		}

		.xieyi {
		  color: #333;
		  margin-top: 20px;
		}

		.login-code {
		  height: 38px;
		  float: right;

		  .login-code-img {
			height: 38px;
			position: absolute;
			margin-left: 10px;
			width: 200rpx;
		  }
		}
	  }
}
</style>
